Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class FinalQuestion

    java.lang.Object
      com.sun.interview.Question
          com.sun.interview.NullQuestion
              com.sun.interview.FinalQuestion

    public class FinalQuestion

extends NullQuestion

A special type of question used to indicate the last of the questions of an interview.

Field Summary

Fields inherited from class com.sun.interview.NullQuestion
`LEVEL_1, LEVEL_2, LEVEL_3, LEVEL_LEGACY, LEVEL_NONE`

Fields inherited from class com.sun.interview.Question
`interview, key, tag`

Constructor Summary
`FinalQuestion(Interview interview)` Create an anonymous question that can be used to mark the end of a series of questions.
`FinalQuestion(Interview interview, java.lang.String tag)` Create a question that can be used to mark the end of a series of questions.

Method Summary
`protected Question` | `getNext()` Get the next question in the series.

Methods inherited from class com.sun.interview.NullQuestion
`clear, getLevel, getStringValue, isValueAlwaysValid, isValueValid, load, save, setLevel, setValue`

Methods inherited from class com.sun.interview.Question
`addMarker, equals, export, getChecklistItems, getHelpID, getImage, getInterview, getKey, getResourceString, getResourceString, getSummary, getTag, getText, getTextArgs, hashCode, hasMarker, isEnabled, isHidden, reload, removeMarker, setHelpID, setImage, setImage, setSummary, setText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinalQuestion

    public FinalQuestion(Interview interview)

  Create an anonymous question that can be used to mark the end of a series of questions.

  Parameters:
    `interview` - The interview containing this question.

### FinalQuestion

    public FinalQuestion(Interview interview,
                         java.lang.String tag)

  Create a question that can be used to mark the end of a series of questions.

  Parameters:
    `interview` - The interview containing this question.
    `tag` - A unique tag to identify this specific question.

Method Detail

### getNext

    protected final Question getNext()

  Get the next question in the series. Since this question is used to mark the end of a series, there is no next question and the result is always null.

  Specified by:
    `getNext` in class `Question`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.